# SPDX-FileCopyrightText: 2023 Siemens AG
# SPDX-License-Identifier: Apache-2.0

global:
   image:
      repositoryPrefix: ""
      pullPolicy: Never
      tag: latest
      pullSecrets: []
      credentials: {}
   qosNamespace: controllers-system

# Default values for controller.
serviceAccount:
   create: true
   name: "controller-sa"

image:
   repository: controller

resources:
   requests:
      cpu: "100m"
      memory: "100Mi"
   limits:
      cpu: "100m"
      memory: "100Mi"

validator:
   certSecretName: val-wh-certs

controllerArgs:
   - "--health-probe-bind-address=:8081"
   - "--metrics-bind-address=:8080"
   - "--leader-elect"
   - "--service-class-map=BESTEFFORT:K8S,ASSURED:DEMO"
   - "--schedule-on-master-node=false"
   - "--optimizer-timeout=10"
   - "--ipv4-cidrs=10.10.10.0/20"
optimizerService: "solver-service"
